Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 75539 - KDE screensavers do not launch from lock button or when spawned by timer
KDE screensavers do not launch from lock button or when spawned by timer
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-09 14:37 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-10 09:45:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-09 14:37:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Screensavers configured through the KDE control panel do not launch.  When any 
screen saver is configured it will test (using the test button) fine and work 
perfectly.  However, when the timer runs out (no matter how long the screen 
saver delay is set for) it just blanks the screen.  

If screen locking is also configured, the screen blanks, as above, but motion 
from the mouse or typing on the keyboard brings up the password window to 
unlock the screen.  Typing in the correct password does unlock (unblank) the 
screen.

This happens with all the default screensavers in KDE shipped with Red Hat 8 
and it doesn't matter how the priority is set.  

Screen savers and screen locking work correctly in the GNOME environment.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Open the control center from the Redhat Start Menu in KDE
2.Expand the Look and Feel section and double click on the Screensaver icon
3.Check the Enable Screen Saver box
4.Select any screen saver from the screen saver selection window
5.Click the Test button and the Screen saver will launch
6.Hit any key and the screen saver will end.
7.In the settings section, Set the time in the Wait for box (1 minute is good 
so that you don't have to wait around a long time, but any number exhibits the 
problem).
8.Wait


	

Actual Results:  After the allotted time has passed, the screen will blank, but 
no screen saver executes.

This also happens if you select the Lock option from the KDE Red Hat start 
button.  Only, when the keyboard is pressed, an Enter Password dialog appears 
and the expected behavior of entering the correct password to disable the lock 
occurs.  However, the screen saver never executes.

Expected Results:  The screen saver should execute when the screen is lock or 
the time delay has run out.

Additional info:

Screen savers do work in Red Hat 8's GNOME implementation
Comment 1 Sammy 2002-10-10 09:34:16 EDT
I just looked at KDE-3.0.4 announcement and the new kdelibs solves this problem.
Comment 2 Need Real Name 2002-10-10 09:45:17 EDT
Anyone know if this will be available from red hat network or should we patch 
from other sources.
Comment 3 Ngo Than 2002-10-11 07:53:44 EDT
It's fixed in kde 3.0.3-15 or newer. You will find it in  next rawhide release

Note You need to log in before you can comment on or make changes to this bug.